cdac.medinfo.sdk.hl7282.baselibs

## Class ST

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.PrimitiveDataType
  - - cdac.medinfo.sdk.hl7282.baselibs.ST

- All Implemented Interfaces:
    IDataType

      public class ST
      extends PrimitiveDataType

  ST - String Data

  This data type is intended for short strings (e.g., less than 200 characters).

  This class override the equal method, to check whether some other object is "equal to" this one.

  User can also create Data Type through `DataElementFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ST()` Constructor for ST class.
    `ST(int iMinLength, int iMaxLength, java.lang.String strCLength)` Constructor for ST class which takes three argument and sets the value in the respective member variable.
    `ST(int iMinLength, int iMaxLength, java.lang.String strCLength, int iTableNo)` Constructor for ST class which takes four arguments and sets the value in the respective member variable.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(IDataType objDataType)` The method checks for the equality with other ST DataType.
    `boolean` | `equals(java.lang.Object objObject)` This method checks the equality of Object.

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.PrimitiveDataType

      `copy, getDataTypeName, getICLength, getIMaxLength, getIMinLength, getLength, getValue, isPrimitive, read, setICLength, setIMaxLength, setIMinLength, setValue, toString, validate, write`

    - ### Methods inherited from class java.lang.Object

      `getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ST

          public ST()

      Constructor for ST class.

    - #### ST

          public ST(int iMinLength,
            int iMaxLength,
            java.lang.String strCLength)

      Constructor for ST class which takes three argument and sets the value in the respective member variable.
      Parameters:
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.

    - #### ST

          public ST(int iMinLength,
            int iMaxLength,
            java.lang.String strCLength,
            int iTableNo)

      Constructor for ST class which takes four arguments and sets the value in the respective member variable.
      Parameters:
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
        `iTableNo` - The Table number to which the value for the component is specified.

  - ### Method Detail

    - #### equals

          public boolean equals(IDataType objDataType)

      The method checks for the equality with other ST DataType.
      Parameters:
        `objDataType` - conatains object of another DataType to be checked for equality.
      Returns:
        boolean [true/false]

    - #### equals

          public boolean equals(java.lang.Object objObject)

      This method checks the equality of Object.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `objObject` - object of Object class.
      Returns:
        boolean - shows success or failure of the comparison.